API Reference
Log In
API Reference

Transactions Request

Allows you to create transaction requests of any type supported by OpenBanking LAFISE, detailing in the body of the request the type of transaction to be performed and placing in the corresponding details node.

Authentication is mandatory.
Conset is required.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📢 Considerations

Initiate a Payment via creating a Transaction Request.

In OBL, a transaction request may or may not result in a transaction. However, a transaction only has one possible state: completed.

A Transaction Request can have one of several states.

Transaction Requests satisfy PSD2 requirements thus:

  1. A transaction can be initiated by a third party application.
  2. The customer is informed of the charge that will incurred.
  3. The call supports delegated authentication (OAuth)

📘 Transfers Types:

IdCodeDescription
1OwnAccountsTransfer to own accounts
2LocalBanksTransfers to local bank
3ThirdPartyAccountsTransfer to third party account
5ServicePaymentsService payments
6CreditCardPaymentCredit card payment
7LoansLoan payment
17FastShippingRemittances Fastshipping to Nicaragua
19CreditCardPrepaidRechargeRecharge prepaid card
23LocalRemittanceLocal remittances to Panama
26RefundTransactionFast shipping transaction reversal
27ThirdPartyAccountsMultipleTransfer to a third party account in bulk
28InGroupRemittanceRemittances in LAFISE Group
30CashTodayCashToday Transfers

The following are examples of the different types of transfers:

🏦 Own Accounts:

Allows transfers between LAFISE Bank's own accounts.

Below please find the JSON body for an example request:

{
    "transfer_type": "OwnAccounts",
    "debit_description": "Debit description",
    "to_transfer_to_own_accounts": {
        "credit_description": "Credit description",
        "to": {
            "name": "Beneficiary Name",
            "bank_code": "BLNI",
            "account": {
                "number": "100200300",
                "iban": ""
            }
        },
        "value": {
            "currency": "USD",
            "amount": 100.00
        }
    }
}

🏦 Third Party Accounts

Allows you to make a deposit to an account of a client of LAFISE Bank.

Below please find the JSON body for an example request:

{
    "transfer_type": "ThirdPartyAccounts",
    "debit_description": "Debit description",
    "to_transfer_to_third_party_accounts": {
        "credit_description": "string",
        "to": {
            "name": "string",
            "bank_code": "BLNI",
            "account": {
                "number": "string",
                "iban": "string"
            }
        },
        "value": {
            "currency": "string",
            "amount": 0
        }
    }
}

🏦 Transfers in LAFISE Group

Allows you to make a transfer to an account in a LAFISE Group Bank (Nicaragua, Costa Rica, Panama, Dominican Republic or Honduras).

Below please find the JSON body for an example request:

{
    "transfer_type": "InGroup",
    "debit_description": "Debit description",
    "to_transfer_to_in_group_accounts": {
        "credit_description": "string",
        "to": {
            "name": "string",
            "bank_code": "BLNI",
            "account": {
                "number": "string",
                "iban": "string"
            }
        },
        "value": {
            "currency": "string",
            "amount": 0
        }
    }
}

🏢 Third Party Accounts Multiple

Allows multiple transfers to different LAFISE Bank accounts at the same time.

🚧

Note:

The destination accounts must be in the same currency and in the same country; if the source account is different from the destination accounts, an exchange market is conducted.

Below please find the JSON body for an example request:

{
    "transfer_type": "ThirdPartyAccountsMultiple",
    "debit_description": "Debit description",
    "to_transfer_to_third_party_accounts_multiple": [
        {
            "credit_description": "string",
            "to": {
                "name": "string",
                "bank_code": "BLNI",
                "account": {
                    "number": "string",
                    "iban": "string"
                }
            },
            "value": {
                "currency": "string",
                "amount": 0
            }
        }
    ]
}

💰 Service Payments Manual

Allows you to make a Manual service payment.

The endpoint must first be consumed to obtain the available services: Get Service.

Below please find the JSON body for an example request:

{
    "transfer_type": "ServicePayments",
    "debit_description": "Debit description",
    "to_pay_service_manual": {
        "service_id": 0,
        "value": {
            "currency": "string",
            "amount": 0
        },
        "data_service_list": [
            {
                "key": "string",
                "value": "string",
                "type": "DateTime"
            }
        ]
    }
}

💰 Service Payments Online

Allows you to make an online service payment.

The endpoint must first be consumed to obtain the available services: Get Service. and then the endpoint: Get Pending Payment. must be consumed to obtain the debt to be paid.

Below please find the JSON body for an example request:

{
    "transfer_type": "ServicePayments",
    "debit_description": "Debit description",
    "to_pay_service_online": {
        "service_id": 0,
        "data_service_list": [
            {
                "key": "string",
                "value": "string",
                "type": "DateTime"
            }
        ],
        "debt_list": [
            {
                "debt": [
                    {
                        "key": "string",
                        "value": "string",
                        "type": "Currency"
                    }
                ]
            }
        ]
    }
}

💳 Credit Card Payment

Allows the payment of a Banco LAFISE credit card.

Below please find the JSON body for an example request:

{
    "transfer_type": "CreditCardPayment",
    "debit_description": "Debit description",
    "to_pay_credit_card": {
        "card_number": "string",
        "bank_id": "BLNI",
        "value": {
            "currency": "string",
            "amount": 0
        }
    }
}

💳 Credit Card Prepaid Recharge

Allows you to recharge a prepaid card of LAFISE Bank.

Below please find the JSON body for an example request:

{
    "transfer_type": "CreditCardPrepaidRecharge",
    "debit_description": "Debit description",
    "to_recharge_prepaid_card": {
        "card_number": "string",
        "bank_id": "BLNI",
        "value": {
            "currency": "string",
            "amount": 0
        }
    }
}

🔃 Local Banks

Allows to send a transfer to a local bank through the payment methods corresponding to each country of the LAFISE Group.

Below please find the JSON body for an example request:

{
    "transfer_type": "LocalBanks",
    "debit_description": "Debit description",
    "to_local_bank": {
        "transfer_via": "TEF",
        "transfers": [
            {
                "credit_description": "string",
                "to": {
                    "local_bank_code": 0,
                    "name": "string",
                    "email": "string",
                    "address": "string",
                    "identification": "string",
                    "product_type": "CurrentAccount",
                    "account": {
                        "number": "string",
                        "iban": "string"
                    },
                    "phone_number": 0
                },
                "value": {
                    "currency": "string",
                    "amount": 0
                },
                "status": "Initialized",
                "error_message": "string"
            }
        ]
    }
}

🔃 Local Banks Online

Allows you to send a transfer to your local bank online using the payment methods corresponding to each LAFISE Group country.

📘

By setting the option: is_debinet to true, the transaction becomes a SINPE direct debit.

Below please find the JSON body for an example request:

{
    "transfer_type": "LocalBanks",
    "debit_description": "Debit description",
    "to_local_bank_online": {
        "credit_description": "string",
        "transfer_via": "TEF",
        "to": {
            "local_bank_code": 0,
            "name": "string",
            "email": "string",
            "address": "string",
            "identification": "string",
            "product_type": "CurrentAccount",
            "account": {
                "number": "string",
                "iban": "string"
            },
            "phone_number": 0
        },
        "value": {
            "currency": "string",
            "amount": 0
        },
        "operation_type": "Direct",
        "is_debinet": true,
        "from": {
            "name": "string",
            "last_name": "string",
            "identification": "string",
            "identification_type": "string",
            "country": "BLNI"
        }
    }
}

Local Banks Online SINPE MOBILE

  1. Considerations for the type of transaction:
    • Allows you to make a transfer to a cell phone number affiliated with the service, whose destination account is located in the same financial institution as the originating customer.
    • Origin and destination accounts must be affiliated to SINPE Mobile.
    • The telephone number of the originating client is mandatory at the time of using the service, and is obtained from the LAFISE financial system data.
    • It is only possible to transfer amounts between accounts with funds in local currency "Colones".\
  2. Monetary limits and commissions:
    • Mobile payments ordered up to a daily accumulated amount of ₡100,000 at no cost to the customer. LAFISE may authorize the client a higher amount, and may also establish a commission charge on the amount exceeding the sum of ¢100,000.

Below please find the JSON body for an example request:

{
    "transfer_type": "LocalBanks",
    "debit_description": "Transferencia SINPE Movil",
    "to_local_bank_online": {
        "transfer_via": "SINPE_Mobile",
        "credit_description": "Prueba SINPE Movil CRC",
        "to": {
            "phone_number": 85399900
        },
        "value": {
            "currency": "CRC",
            "amount": 100
        }
    }
}

Catalogs Local Banks:

📘 Transfer method (transfer_via)

Bank CodeCodeDescription
BLNI, BLPA, BLHN, BLRDACHACH transfer method
BLHNLBTRVia Real Time Gross Settlement System (LBTR)
BLRDInstant_PaymentInstant Payment Transfer Method
BLCRSINPESINPE transfer method
BLCRSINPE_MobileSINPE Mobile transfer method

📘 Product Type

CodeDescription
CurrentAccountCurrent account
SavingAccountSavings account
CreditCardCredit card
LoanLoan

📘 Operation Type

CodeDescription
RealTimeReal-time transfer
DirectDirect transfer or T+1
SinpeMobileSinpe Mobile Transfer

💵 Loans Payment

Allows you to make a loan payment at LAFISE Bank.

Below please find the JSON body for an example request:

{
    "transfer_type": "Loans",
    "debit_description": "Debit description",
    "to_pay_loan": {
        "loan_number": "string",
        "bank_id": "BLNI",
        "value": {
            "currency": "string",
            "amount": 0
        }
    }
}

📲 Fast Shipping (BLNI)

Allows you to send a money transfer through the fast transfer channel to Nicaragua, it can be originated from any country of the group (including Nicaragua).

This generates a message to the beneficiary with a unique withdrawal code to their phone via SMS or email, the beneficiary can withdraw the amount at an ATM or ServiRED.

🚧

Note:

Consider shipping in multiples of C$100 Córdobas or U$20 Dollars, maximum shipping amount of C$15,000 Córdobas or U$480 Dollars.

The flow for a fast delivery from an outsourced consumer to an OpenBanking consumer varies, both flows are shown below:

Fast Shipping: Openbanking Customer flow:

Fast Shipping: Outsourced consumer flow:

Below please find the JSON body for an example request:

{
    "transfer_type": "FastShipping",
    "debit_description": "Debit description",
    "fast_shipping": {
        "beneficiary": {
            "name": "string",
            "last_name": "string",
            "identification": "string",
            "identification_type": "string",
            "cell_phone": 0,
            "mail": "string"
        },
        "amount": {
            "currency": "string",
            "amount": 0
        },
        "destiny_bank": "BLNI",
        "funds_provenance": "string",
        "funds_sending_reason": "string",
        "relationship_beneficiary": "string"
    }
}
{
    "transfer_type": "FastShipping",
    "debit_description": "Debit description",
    "fast_shipping": {
        "manager": {
            "name": "string",
            "last_name": "string",
            "identification": "string",
            "identification_type": "string",
            "country": "BLNI"
        },
        "beneficiary": {
            "name": "string",
            "last_name": "string",
            "identification": "string",
            "identification_type": "string",
            "cell_phone": 0,
            "mail": "string"
        },
        "amount": {
            "currency": "string",
            "amount": 0
        },
        "destiny_bank": "BLNI",
        "funds_provenance": "string",
        "funds_sending_reason": "string",
        "relationship_beneficiary": "string"
    }
}

📨 Local Remittance (BLPA)

Allows you to send a money transfer through the local Remittance channel in Panama.

This generates a message to the beneficiary with a unique withdrawal code to his/her email, the beneficiary can withdraw the amount at a Bank branch or at a non-Bank branch.

The flow for the local remittance of an outsourced consumer is shown below:

Below please find the JSON body for an example request:

{
    "transfer_type": "LocalRemittance",
    "debit_description": "Debit description",
    "to_local_remittance": {
        "from": {
            "name": "string",
            "last_name": "string",
            "identification": "string",
            "identification_type": "string",
            "country": "BLNI"
        },
        "to": {
            "name": "string",
            "last_name": "string",
            "identification": "string",
            "identification_type": "string",
            "cell_phone": 0,
            "mail": "string"
        },
        "value": {
            "currency": "string",
            "amount": 0
        },
        "funds_provenance": "string",
        "funds_sending_reason": "string",
        "relationship_beneficiary": "string"
    }
}

📲 Remittances in LAFISE Group (BLNI)

Allows you to send a money transfer through the fast transfer channel to Nicaragua, it can be originated from any country of the group (including Nicaragua).

This generates a message to the beneficiary with a unique withdrawal code to their phone via SMS or email, the beneficiary can withdraw the amount at an ATM or ServiRED.

🚧

Note:

Consider money transfer in multiples of C$100 Córdobas or U$20 Dollars, maximum shipping amount of C$15,000 Córdobas or U$500 Dollars.

The flow for a fast delivery from an outsourced consumer to an OpenBanking consumer varies, both flows are shown below:

Intra-group remittance: Openbanking Customer flow:

Intra-group remittance: Outsourced consumer flow:

Below please find the JSON body for an example request:

{
    "transfer_type": "InGroupRemittance",
    "debit_description": "Debit description",
    "to_in_group_remittance": {
        "beneficiary": {
            "name": "string",
            "last_name": "string",
            "identification": "string",
            "identification_type": "string",
            "cell_phone": 0,
            "mail": "string"
        },
        "amount": {
            "currency": "string",
            "amount": 0
        },
        "destiny_bank": "BLNI",
        "funds_provenance": "string",
        "funds_sending_reason": "string",
        "relationship_beneficiary": "string",
        "occupation_beneficiary": "string"
    }
}
{
   "transfer_type":"InGroupRemittance",
   "debit_description":"Debit description",
   "to_in_group_remittance":{
      "manager":{
         "name":"string",
         "last_name":"string",
         "identification":"string",
         "identification_type":"string",
         "country":"BLNI"
      },
      "beneficiary":{
         "name":"string",
         "last_name":"string",
         "identification":"string",
         "identification_type":"string",
         "cell_phone":0,
         "mail":"string"
      },
      "amount":{
         "currency":"string",
         "amount":0
      },
      "destiny_bank":"BLNI",
      "funds_provenance":"string",
      "funds_sending_reason":"string",
      "relationship_beneficiary":"string",
      "occupation_beneficiary":"string",
      "beneficiary_geolocation_code":"string"
   }
}

💵 Cash Today

Enables the digitalization of cash deposited in authorized devices, automatically crediting the amount to the corresponding bank account. This multi-client transaction improves liquidity, provides secure and traceable operations, and simplifies cash management across businesses.

🚧

Note:

For transactions with an indirect origin, a valid LAFISE account number must be provided. For direct transactions, the account number field should be set to 0.

Example Path Transaction Indirect:

/obl/v1/banks/BLCR/accounts/123456789/3/transaction-request-types/FREE_FORM/transaction-requests

Example Path Transaction Direct:

/obl/v1/banks/BLCR/accounts/0/3/transaction-request-types/FREE_FORM/transaction-requests

Below please find the JSON body for an example request:

{
    "transfer_type": "CashToday",
    "debit_description": "Debit description",
    "to_cash_today": {
        "Origin": "Indirect",
        "device": {
            "id": "string"
        },
        "client": {
            "customer": "string",
            "teller_name": "string"
        },
        "transactions": {
            "receipt_number": "string",
            "date": "string (date-time)",
            "amounts":[
                {"amount": "decimal","currency": "string"}
            ]
        }
    }
}
{
    "transfer_type": "CashToday",
    "debit_description": "Debit description",
    "to_cash_today": {
        "Origin": "Direct",
        "device": {
            "id": "string"
        },
        "client": {
            "customer": "string",
            "teller_name": "string"
        },
        "transactions": {
            "receipt_number": "string",
            "date": "string (date-time)",
            "amounts":[
                {"amount": "decimal","currency": "string"}
            ]
        }
    }
}
Path Params
string
enum
required
Defaults to BLNI

Description: Bank Id of the source transaction

Allowed:
int32
required
Defaults to 100200300

Description: Debit account number

string
required
Defaults to 1

Description: Unique ID assigned to the consumer to assign consents to accounts.

Body Params
string
enum
required
Defaults to OwnAccounts

Description: Transfer Type

string
required

Description: Debit Description.
Size: 60.

to_transfer_to_own_accounts
object

Description: Transfer information to own accounts.
Transfer Type: OwnAccounts

to_transfer_to_third_party_accounts
object

Description: Transfer information to transfer to third party accounts.
Transfer Type: ThirdPartyAccounts

to_transfer_to_third_party_accounts_multiple
array of objects

Description: Transfer information to third party accounts multiple.
Transfer Type: ThirdPartyAccountsMultiple

to_transfer_to_third_party_accounts_multiple
to_transfer_to_in_group_accounts
object

Description: Transfer information to in group accounts.
Transfer Type: InGroup

to_pay_service_manual
object

Description: Transfer information to Pay Service Manual.
Transfer Type: ServicePayments

to_pay_service_online
object

Description: Transfer information to Pay Service Online.
Transfer Type: ServicePayments

to_local_remittance
object

Description: Transfer information to Local remittance.
Transfer Type: LocalRemittance

fast_shipping
object

Description: Transfer information to Fast Shipping.
Transfer Type: FastShipping

to_recharge_prepaid_card
object

Description: Transfer information to Credit card prepaid pecharge.
Transfer Type: CreditCardPrepaidRecharge

to_pay_credit_card
object

Description: Transfer information to Card payment.
Transfer Type: CreditCardPayment

to_pay_loan
object

Description: Transfer information to Loan Payment.
Transfer Type: Loans

to_local_bank
object

Description: Transfer information to Local Banks.
Transfer Type: LocalBanks

to_local_bank_online
object

Description: Transfer information to Local Banks Online.
Transfer Type: LocalBanks

to_in_group_remittance
object

Description: Transfer information for Intragroup Remittances.
Transfer Type: InGroupRemittance

to_cash_today
object

Description: Cashtoday Transfers

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json